package com.srs.comprehensive.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.KnzzZsgApply;
import com.srs.comprehensive.domain.KnzzZzqApply;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 中职升高职补助Service接口
 *
 * @author srs
 * @date 2025-05-12
 */
public interface IKnzzZsgApplyService extends IService<KnzzZsgApply> {

    public AjaxResult doReApply( KnzzZsgApply param);

    public AjaxResult doApply(KnzzZsgApply param);

    public AjaxResult doCancel(Long id);
    public AjaxResult fdyEdit(KnzzZsgApply param) ;
    public AjaxResult doEdit(KnzzZsgApply param) ;
    public AjaxResult doAudit(KnzzZsgApply param);

    public List<KnzzZsgApply> listView(KnzzZsgApply param);

    public AjaxResult doMany(List<KnzzZsgApply> param) ;

    /**
     * 查询中职升高职补助
     *
     * @param id 中职升高职补助主键
     * @return 中职升高职补助
     */
    public KnzzZsgApply selectKnzzZsgApplyById(Long id);

    /**
     * 查询中职升高职补助列表
     *
     * @param knzzZsgApply 中职升高职补助
     * @return 中职升高职补助集合
     */
    List<KnzzZsgApply> selectKnzzZsgApplyList(KnzzZsgApply knzzZsgApply);

    /**
     * 新增中职升高职补助
     *
     * @param knzzZsgApply 中职升高职补助
     * @return 结果
     */
    int insertKnzzZsgApply(KnzzZsgApply knzzZsgApply);

    /**
     * 修改中职升高职补助
     *
     * @param knzzZsgApply 中职升高职补助
     * @return 结果
     */
    int updateKnzzZsgApply(KnzzZsgApply knzzZsgApply);

    /**
     * 批量删除中职升高职补助
     *
     * @param ids 需要删除的中职升高职补助主键集合
     * @return 结果
     */
    int deleteKnzzZsgApplyByIds(Long[] ids);

    /**
     * 删除中职升高职补助信息
     *
     * @param id 中职升高职补助主键
     * @return 结果
     */
    int deleteKnzzZsgApplyById(Long id);
}
